pub mod config;
pub mod create;
pub mod list;

use crate::{Context, Error};
use config::config;
use create::create;
use list::list;
use tracing::instrument;

/// Handle trivia command
#[instrument(skip(ctx), level = "info", fields(channel = ctx.channel_id().get(), guild = ?ctx.guild_id().unwrap().get()))]
#[poise::command(
    slash_command,
    prefix_command,
    category = "Trivia",
    subcommands("create", "list", "config"),
    guild_only = true
)]
pub async fn trivia(ctx: Context<'_>) -> Result<(), Error> {
    Ok(())
}
